package com.muchinfo.mtp3century.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muchinfo.mtp3century.vo.systemlogin.LoginReq;
import com.muchinfo.mtp3century.utils.AjaxResult;
import com.muchinfo.mtp3common.vo.PageResult;
import com.muchinfo.mtp3pojos.entity.Systemmanager;
import com.muchinfo.mtp3pojos.vo.systemuser.SystemUserPwdParam;
import com.muchinfo.mtp3pojos.vo.systemuser.SystemUserReqParam;
import com.muchinfo.mtp3pojos.vo.systemuser.SystemUserResResult;
import com.muchinfo.mtp3pojos.vo.systemuser.SystemUserVo;

import javax.servlet.http.HttpServletRequest;

/**
 * <p>
 * 系统管理员表 服务类
 * </p>
 *
 * @author XKF
 * @since 2024-03-21
 */
public interface ISystemmanagerService extends IService<Systemmanager> {

    AjaxResult getVerifyCode(HttpServletRequest request);

    AjaxResult loginIn(LoginReq loginReq, HttpServletRequest request, Systemmanager systemmanager);

    PageResult<SystemUserResResult> queryUserMsg(HttpServletRequest request, SystemUserReqParam systemUserReqParam);

    AjaxResult<SystemUserResResult> queryDetail(Integer autoId, HttpServletRequest request);

    AjaxResult dealUserMsg(SystemUserVo systemUserVo, HttpServletRequest request);

    AjaxResult dealUserStatus(SystemUserVo systemUserVo, HttpServletRequest request);

    AjaxResult<Systemmanager> queryRoleUser(Integer autoId, HttpServletRequest request);

    AjaxResult updatePwd(SystemUserPwdParam systemUserPwdParam, HttpServletRequest request);

    void saveMGLog(Systemmanager sm, String partInvestorManage, Long userid);
}
